<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

require_once("configuracao_mysql.php");

$response = [];

$id_usuario = $_POST['id_usuario'];

mysqli_begin_transaction($connection);

try {
    $sql_plano = "INSERT INTO pedidos SET 
        id_pagamento_status = 0,
        id_plano = 1,
        id_usuario = '$id_usuario',
        id_forma_pagamento = 1,
        valor = 20.0,
        data = NOW(),
        data_vencimento = DATE_ADD(NOW(), INTERVAL 1 MONTH)";

    if (!mysqli_query($connection, $sql_plano)) {
        throw new Exception("Erro ao inserir plano: " . mysqli_error($connection));
    }

    mysqli_commit($connection);

    $response = [
        "status" => "200",
        "message" => "Usuário e dados relacionados cadastrados com sucesso!"
    ];

} catch (Exception $e) {
    mysqli_rollback($connection);
    $response = [
        "status" => "500",
        "message" => $e->getMessage()
    ];
}

echo json_encode($response);
mysqli_close($connection);
?>