<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

require_once("configuracao_mysql.php");

if (!$connection) {
    echo json_encode(array("status" => 500, "error" => "Conexão falhou: " . mysqli_connect_error()));
    exit;
}

if (!isset($_POST['email']) || !isset($_POST['senha'])) {
    echo json_encode(array("status" => 400, "error" => "Email ou senha não fornecidos."));
    mysqli_close($connection);
    exit;
}

$email = Substituir($connection, $_POST['email']);
$senha = Substituir($connection, $_POST['senha']);

$sql = "SELECT id, nome, senha FROM usuarios WHERE email = '$email'";
$query = mysqli_query($connection, $sql);

if (!$query) {
    echo json_encode(array("status" => 500, "error" => "Erro na consulta: " . mysqli_error($connection)));
    mysqli_close($connection);
    exit;
}

$resultado = mysqli_fetch_assoc($query);

if ($resultado && password_verify($senha, $resultado['senha'])) {
    $id_usuario = $resultado['id'];

    $primeiro_nome = explode(' ', $resultado['nome'])[0];

    echo json_encode(array("id" => $id_usuario, "status" => 200, "nome" => $primeiro_nome));
} else {
    echo json_encode(array("status" => 401, "error" => "Email ou senha incorretos."));
}

mysqli_close($connection);
?>