<?php

header('Access-Control-Allow-Origin: *');
require_once("configuracao_mysql.php");

$query = "SELECT * FROM apoiadores";
$result = mysqli_query($connection, $query);

if (!$result) {
    echo 'Erro na consulta: ' . mysqli_error($connection);
    exit;
}

echo '<h1>Empresas Parceiras</h1>';

if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        echo '<div class="campo_empresa">';
        echo '    <div onclick="window.location.href=\'#\'" class="empresa"><img src="' . $acs['link'] . 'arquivos/' . $row['logo'] . ' " alt="' . $row['logo'] . '"></div>';
        echo '    <div class="info_empresas">';
        echo '        <p class="nome_empresa">' . htmlspecialchars($row['apoiador']) . '</p>';
        echo '        <p class="descricao_empresa">' . htmlspecialchars($row['descricao']) . '</p>';
        echo '    </div>';
        echo '</div>';
    }
} else {
    echo '<p>Nenhuma empresa parceira encontrada.</p>';
}

mysqli_close($connection);
?>