<?php

header('Access-Control-Allow-Origin: *');
require_once("configuracao_mysql.php");

$id_usuario = Substituir($connection, $_POST['id_usuario']);

$query = "SELECT u.*, uv.*, ui.*, up.*
          FROM usuarios u
          LEFT JOIN usuario_veiculos uv ON u.id = uv.id_usuario
          LEFT JOIN usuario_imagens ui ON u.id = ui.id_usuario
          LEFT JOIN usuario_perfis up ON u.id = up.id_usuario
          WHERE u.id = '$id_usuario'";


$result = mysqli_query($connection, $query);

$servicos = '';
$acessorios = '';
$certificados = '';
$foto_veiculo = '';

$tipos_cnh = ['A', 'B', 'C', 'D', 'E'];

if (mysqli_num_rows($result) > 0) {

    $servico_adicionado = false;
    $acessorio_adicionado = false;
    $certificado_adicionado = false;
    $foto_veiculo_adicionado = false;

    while ($row = mysqli_fetch_assoc($result)) {

        if (!$servico_adicionado && $row['id_imagem_tipo'] == 1) {
            $servicos .= '<img src="' . $acs['link'] . 'arquivos/' . $row['imagem'] . '" alt="Imagem de Serviço">';
            $servico_adicionado = true;
        } elseif (!$acessorio_adicionado && $row['id_imagem_tipo'] == 2) {
            $acessorios .= '<img src="' . $acs['link'] . 'arquivos/' . $row['imagem'] . '" alt="Imagem de Acessório">';
            $acessorio_adicionado = true;
        } elseif (!$certificado_adicionado && $row['id_imagem_tipo'] == 3) {
            $certificados .= '<img src="' . $acs['link'] . 'arquivos/' . $row['imagem'] . '" alt="Imagem de Certificado">';
            $certificado_adicionado = true;
        }

        if (!$foto_veiculo_adicionado) {
            $foto_veiculo = '<img src="' . $acs['link'] . 'arquivos/' . $row['foto'] . '" alt="Imagem do Veículo">';
            $foto_veiculo_adicionado = true;
        }

        $id_veiculo = $row['id_veiculo_tipo'];
        $foto_veiculo = '<img src="' . $acs['link'] . 'arquivos/' . $row['foto'] . '" alt="Imagem do Veículo">';
        $modelo = '' . $row['modelo_veiculo'] . '';
        $marca = '' . $row['marca_veiculo'] . '';
        $ano = '' . $row['ano_veiculo'] . '';
        $sobre_mim = '' . $row['sobre_mim'] . '';
        $motor = '' . $row['motor_veiculo'] . '';
        $placa = '' . $row['placa_veiculo'] . '';
        $outros = '' . $row['outro'] . '';
        $raio_atuacao = '' . $row['raio_atuacao'] . '';
        $cnh_usuario = $row['cnh'];

        $classe = "tipo_cnh";
        $classe_a = $classe;
        $classe_b = $classe;
        $classe_c = $classe;
        $classe_d = $classe;
        $classe_e = $classe;

        $classe_v = "tipo_veiculo";
        $classe_moto = $classe_v;
        $classe_carro = $classe_v;
        $classe_caminhonete = $classe_v;

        switch ($id_veiculo) {
            case 1:
                $classe_moto = "selecionado_veiculo";
                break;
            case 2:
                $classe_carro = "selecionado_veiculo";
                break;
            case 3:
                $classe_caminhonete = "selecionado_veiculo";
                break;

        }

        switch ($cnh_usuario) {
            case 'A':
                $classe_a = 'selecionado_cnh';
                break;
            case 'B':
                $classe_b = 'selecionado_cnh';
                break;
            case 'C':
                $classe_c = 'selecionado_cnh';
                break;
            case 'D':
                $classe_d = 'selecionado_cnh';
                break;
            case 'E':
                $classe_e = 'selecionado_cnh';
                break;
        }
    }

    echo '<div class="form_container">';
    echo '    <div class="dados_pessoais">';
    echo '        <h1>Veículo</h1>';
    echo '        <div class="form">';
    echo '            <div class="divs">';
    echo '                <div class="campos" id="campo_cnh">';
    echo '                    <label>CNH*</label>';
    echo '                    <div id="tipos">';
    echo '                        <div class="'. $classe_a .'">A</div>';
    echo '                        <div class="'. $classe_b .'">B</div>';
    echo '                        <div class="'. $classe_c .'">C</div>';
    echo '                        <div class="'. $classe_d .'">D</div>';
    echo '                        <div class="'. $classe_e .'">E</div>';
    echo '                    </div>';
    echo '                </div>';
    echo '                <div class="campos" id="campo_tipo_veiculo">';
    echo '                    <label>Tipo de veículo*</label>';
    echo '                    <div id="tipos_veiculo">';
    echo '                        <div class="'. $classe_moto .'">MOTO</div>';
    echo '                        <div class="'. $classe_carro .'">CARRO</div>';
    echo '                        <div class="'. $classe_caminhonete .'">CAMINHONETE</div>';
    echo '                    </div>';
    echo '                </div>';
    echo '            </div>';
    echo '            <div class="grid">';
    echo '                <div class="campos" id="campo_foto_veiculo">';
    echo '                    <label for="foto_veiculo">Foto do veículo*</label>';
    echo '                    <div id="foto_veiculo">';
    echo '                        ' . $foto_veiculo . ' ';
    echo '                    </div>';
    echo '                          <input class="file_carro" type="file" id="input_foto_veiculo"
                                    accept="image/jpeg, image/jpg, image/png">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_marca">';
    echo '                    <label for="marca">Marca*</label>';
    echo '                    <input type="text" id="marca" value="' . $marca . '">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_modelo">';
    echo '                    <label for="modelo">Modelo*</label>';
    echo '                    <input type="text" id="modelo" value="' . $modelo . '">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_ano">';
    echo '                    <label for="ano">Ano*</label>';
    echo '                    <input type="text" id="ano" placeholder="Ex: 2020" value="' . $ano . '">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_motor">';
    echo '                    <label for="motor">Motor*</label>';
    echo '                    <input type="text" id="motor" placeholder="Ex: 1.0" value="' . $motor . '">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_placa">';
    echo '                    <label for="placa">Placa*</label>';
    echo '                    <input type="text" id="placa" placeholder="Ex: ABC-0123" value="' . $placa . '">';
    echo '                </div>';
    echo '            </div>';
    echo '        </div>';
    echo '    </div>';
    echo '    <div id="final" class="dados_pessoais">';
    echo '        <h1>Profissional</h1>';
    echo '        <div class="form">';
    echo '            <div class="grid_2">';
    echo '                <div class="campos" id="campo_sobre_mim">';
    echo '                    <label for="sobre_mim" style="margin-left: -120px;">Sobre mim*</label>';
    echo '                    <textarea name="sobre_mim" id="sobre_mim" placeholder="Caso tenha dúvida do que escrever e o que não escrever, clique no ícone acima!">' . $sobre_mim . '</textarea>';
    echo '                </div>';

    $query_atribuicoes = "SELECT atribuicao FROM usuario_atribuicoes WHERE id_usuario = '$id_usuario'";
    $result_atribuicoes = mysqli_query($connection, $query_atribuicoes);

    $atribuiçoes_placeholder = '';

    if (mysqli_num_rows($result_atribuicoes) > 0) {
        $atribuiçoes = [];
        while ($row = mysqli_fetch_assoc($result_atribuicoes)) {
            $atribuiçoes[] = htmlspecialchars($row['atribuicao']);
        }
        $atribuiçoes_placeholder .= implode(', ', $atribuiçoes);
    } else {
        $atribuiçoes_placeholder .= 'Nenhuma atribuição encontrada';
    }

    echo '<div class="campos" id="campo_atribuicoes">';
    echo '    <label for="atribuicoes">Atribuições*</label>';
    echo '    <input id="atribuicoes" value="' . $atribuiçoes_placeholder . '">';
    echo '</div>';

    $query_tags = "SELECT tag FROM usuario_tags WHERE id_usuario = '$id_usuario'";
    $result_tags = mysqli_query($connection, $query_tags);

    $tags_placeholder = '#';

    if (mysqli_num_rows($result_tags) > 0) {
        $tags = [];
        while ($row = mysqli_fetch_assoc($result_tags)) {
            $tags[] = htmlspecialchars($row['tag']);
        }
        $tags_placeholder .= implode(' #', $tags);
    } else {
        $atribuiçoes_placeholder .= 'Nenhuma atribuição encontrada';
    }

    echo '<div class="campos" id="campo_tags">';
    echo '    <label for="tags">TAG\'s</label>';
    echo '    <input id="tags" value="' . $tags_placeholder . '">';
    echo '</div>';

    echo '            </div>';
    echo '            <div id="profissional_2">';
    echo '                <div>';

    $query_disposicao = "SELECT disposicao FROM usuario_disposicoes WHERE id_usuario = '$id_usuario'";
    $result_disposicao = mysqli_query($connection, $query_disposicao);

    if (!$result_disposicao) {
        die('Erro na consulta SQL: ' . mysqli_error($connection));
    }

    $disposicoes = [];
    while ($row = mysqli_fetch_assoc($result_disposicao)) {
        $disposicoes[] = htmlspecialchars($row['disposicao']);
    }

    function isChecked($disposicoes, $value)
    {
        return in_array($value, $disposicoes) ? 'checked' : '';
    }

    echo '<label>Qual a sua disposição?*</label>';
    echo '<div id="disposicao">';
    echo '    <div class="opcoes">';
    echo '        <label class="chk" for="contratacao">';
    echo '            <input type="checkbox" name="disposicao[]" id="contratacao" value="Contratação" ' . isChecked($disposicoes, 'Contratação') . ' />';
    echo '            <span></span>';
    echo '            Contratação';
    echo '        </label>';
    echo '        <label class="chk" for="licitacao">';
    echo '            <input type="checkbox" name="disposicao[]" id="licitacao" value="Licitação" ' . isChecked($disposicoes, 'Licitação') . ' />';
    echo '            <span></span>';
    echo '            Licitação';
    echo '        </label>';
    echo '        <label class="chk" for="avulso">';
    echo '            <input type="checkbox" name="disposicao[]" id="avulso" value="Avulso" ' . isChecked($disposicoes, 'Avulso') . ' />';
    echo '            <span></span>';
    echo '            Avulso';
    echo '        </label>';
    echo '    </div>';
    echo '    <div class="opcoes">';
    echo '        <label class="chk" for="temporario">';
    echo '            <input type="checkbox" name="disposicao[]" id="temporario" value="Temporário" ' . isChecked($disposicoes, 'Temporário') . ' />';
    echo '            <span></span>';
    echo '            Temporário';
    echo '        </label>';
    echo '        <label class="chk" for="parceria">';
    echo '                  <input type="checkbox" name="disposicao[]" id="parceria" value="Parceria" ' . isChecked($disposicoes, 'Parceria') . ' />';
    echo '                  <span></span>';
    echo '                  Parceria';
    echo '                  </label>';
    echo '                  <label class="chk" for="clt">';
    echo '                  <input type="checkbox" name="disposicao[]" id="clt" value="CLT" ' . isChecked($disposicoes, 'CLT') . ' />';
    echo '                   <span></span>';
    echo '                  CLT';
    echo '                  </label>';
    echo '                  </div>';
    echo '                  <div class="opcoes">';
    echo '                      <label class="chk" for="freelancer">';
    echo '                      <input type="checkbox" name="disposicao[]" id="freelancer" value="Freelancer" ' . isChecked($disposicoes, 'Freelancer') . ' />';
    echo '                      <span></span>';
    echo '                      Freelancer';
    echo '                      </label>';
    echo '                      <label class="chk" for="estagio">';
    echo '                      <input type="checkbox" name="disposicao[]" id="estagio" value="Estágio" ' . isChecked($disposicoes, 'Estágio') . ' />';
    echo '                          <span></span>';
    echo '                          Estágio';
    echo '                      </label>';
    echo '                      <label class="chk" for="pj">';
    echo '                          <input type="checkbox" name="disposicao[]" id="pj" value="PJ" ' . isChecked($disposicoes, 'PJ') . ' />';
    echo '                           <span></span>';
    echo '                               PJ';
    echo '                          </label>';
    echo '                      </div>';
    echo '                  </div>';

    echo '                </div>';
    echo '                <div id="campo_outros">';
    echo '                    <label id="label_outros" for="outros">Outro(s):</label>';
    echo '                    <textarea name="outros" id="outros">' . $outros . '</textarea>';
    echo '                </div>';

    $query_ids = "SELECT id_cliente FROM usuario_clientes WHERE id_usuario = '$id_usuario'";
    $result_ids = mysqli_query($connection, $query_ids);

    if (!$result_ids) {
        die('Erro na consulta SQL: ' . mysqli_error($connection));
    }

    $id_clientes = [];
    while ($row = mysqli_fetch_assoc($result_ids)) {
        $id_clientes[] = intval($row['id_cliente']);
    }

    if (empty($id_clientes)) {
        $clientes_placeholder = 'Nenhum Cliente encontrado';
    } else {
        $ids_placeholder = implode(',', $id_clientes);
        $query_clientes = "SELECT cliente FROM clientes WHERE id IN ($ids_placeholder)";
        $result_clientes = mysqli_query($connection, $query_clientes);

        if (!$result_clientes) {
            die('Erro na consulta SQL: ' . mysqli_error($connection));
        }

        $clientes = [];
        while ($row = mysqli_fetch_assoc($result_clientes)) {
            $clientes[] = htmlspecialchars($row['cliente']);
        }

        $clientes_placeholder = implode(', ', $clientes);
    }

    mysqli_close($connection);

    echo '              <div id="campo_meus_clientes">';
    echo '                  <label id="label_meus_clientes" for="meus_clientes">Meus Clientes</label>';
    echo '                  <textarea name="meus_clientes" id="meus_clientes">' . $clientes_placeholder . '</textarea>';
    echo '              </div>';

    echo '            <div class="divs" style="margin-top: 20px;">';
    echo '                <div class="campos" id="servicos">';
    echo '                    <label for="servicos_foto" style="width: fit-content;">Serviços que ja realizei</label>';
    echo '                    <div id="servicos_foto">';
    echo '                              ' . $servicos . ' ';
    echo '                    </div>';
    echo '                          <input class="file_servico" type="file" id="input_servicos"
                                    accept="image/jpeg, image/jpg, image/png">';
    echo '                </div>';
    echo '                <div class="campos" id="campo_raio_dist">';
    echo '                    <label id="label_raio">Escolha o raio de sua atuação*</label>';

    echo'<div class="raio-container">';
        $raios = [
            '50Km',
            '100Km',
            '300Km',
            '800Km',
            'Nível Brasil'
        ];

        foreach ($raios as $raio) {
            $activeClass = ($raio === $raio_atuacao) ? 'active' : '';
            echo '<div class="raio-step ' . $activeClass . '">';
            echo '    <span class="raio-label">' . $raio . '</span>';
            echo '</div>';
        }

    echo'</div>';

    echo '                </div>';
    echo '            </div>';
    echo '             </div>';
    echo '            <div id="final" class="dados_pessoais">';
    echo '              <h1>Certificações e Acessórios</h1>';
    echo '              <div class="form">';
    echo '                  <div class="divs" style="margin-top: 20px;">';
    echo '                      <div class="campos" id="cert_ferr">';
    echo '                          <label for="fotos">Acessórios, Ferramentas e EPI\'s</label>';
    echo '                          <div id="fotos">';
    echo '                              ' . $acessorios . ' ';
    echo '                          </div>';
    echo '                              <input class="file" type="file" id="input_acessorios"
                                        accept="image/jpeg, image/jpg, image/png">';
    echo '                     </div>';
    echo '                      <div class="campos" id="cert_ferr">';
    echo '                          <label for="fotos">Documentos, Certificados e Licenças</label>';
    echo '                          <div id="fotos">';
    echo '                              ' . $certificados . ' ';
    echo '                          </div>';
    echo '                              <input class="file" type="file" id="input_documentos"
                                        accept="image/jpeg, image/jpg, image/png">';
    echo '                      </div>';
    echo '                  </div>';
    echo '              </div>';
    echo '          </div>';
    echo '        </div>';
    echo '    </div>';
    echo '</div>';

}
?>