<?php

header('Access-Control-Allow-Origin: *');
require_once("configuracao_mysql.php");

$id_usuario = Substituir($connection, $_POST['id_usuario']);

$query = "SELECT u.*, up.* 
          FROM usuarios u
          LEFT JOIN usuario_perfis up ON u.id = up.id_usuario
          WHERE u.id = '$id_usuario'";

$result = mysqli_query($connection, $query);

if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        if ($row['id_genero'] == 1) {
            $genero = "Feminino";
        } else if ($row['id_genero'] == 2) {
            $genero = "Masculino";
        } else {
            $genero = "Não Informado";
        }

        $campo_adicional = '';
        if ($row['id_usuario_tipo'] == 1) {
            $campo_adicional = '<div class="campos" id="campo_genero">
                                    <label for="genero">Gênero</label>
                                    <input list="genero_enum" id="genero" name="genero" placeholder="Selecione" value="' . htmlspecialchars($genero) . '">
                                    <datalist id="genero_enum">
                                        <option value="Masculino"></option>
                                        <option value="Feminino"></option>
                                    </datalist>
                                 </div>';
        } elseif ($row['id_usuario_tipo'] == 2) {
            $campo_adicional = '<div class="campos" id="campo_crea">
                                    <label for="crea">CREA</label>
                                    <input type="text" name="crea" id="crea" placeholder="Ex: 123456789" value="' . htmlspecialchars($row['crea']) . '">
                                 </div>';
        }

        $rg = decryptData($row['rg_ie'], $key);
        $cpf = decryptData($row['cpf_cnpj'], $key);

        $response = '<div class="form_container">';
        $response .= '<div id="campo_perfil">
                        <div id="foto_perfil"><img src="' . $acs['link'] . 'arquivos/' . $row['foto_perfil'] . ' " alt="Foto de Perfil">
                        </div>
                        <div id="fundo_perfil">
                            <h2>Usuário</h2>
                        </div>
                      </div>';
        $response .= '<div class="dados_pessoais">
                        <h1>Dados Pessoais</h1>
                        <div class="form">
                            <div class="divs" id="dois_campos">
                                <div class="campos" id="campo_nome">
                                    <label for="nome">Nome Completo</label>
                                    <input type="text" name="nome" id="nome" value="' . htmlspecialchars($row['nome']) . '" placeholder="Ex: João Eduardo Anderson da Silva">
                                </div>
                                <div class="campos" id="campo_data_nascimento">
                                    <label for="data_nascimento">Data de nascimento</label>
                                    <input type="date" name="data_nascimento" id="data_nascimento" value="' . htmlspecialchars($row['data_nascimento']) . '">
                                </div>
                            </div>
                            <div class="divs">
                                <div class="campos" id="campo_cpf">
                                    <label for="cpf">CPF/CNPJ</label>
                                    <input type="text" name="cpf" id="cpf" placeholder="Ex: 01234567890" value="' . htmlspecialchars($cpf) . '">
                                </div>
                                <div class="campos" id="campo_rg">
                                    <label for="rg">RG/IE</label>
                                    <input type="text" name="rg" id="rg" placeholder="Ex: 012345678" value="' . htmlspecialchars($rg) . '">
                                </div>
                                '. $campo_adicional .'
                            </div>
                            <div class="divs">
                                <div class="campos" id="campo_email">
                                    <label for="email">E-mail de contato</label>
                                    <input type="text" name="email" id="email" placeholder="Ex: nome@nome.com.br" value="' . htmlspecialchars($row['email']) . '">
                                </div>
                                <div class="campos" id="campo_celular_1">
                                    <label for="celular_1">Celular 1</label>
                                    <input type="text" name="celular_1" id="celular_1" placeholder="Ex: +55 00 12345-6789" value="' . htmlspecialchars($row['celular_1']) . '">
                                </div>
                                <div class="campos" id="campo_celular_2">
                                    <label for="celular_2">Celular 2</label>
                                    <input type="text" name="celular_2" id="celular_2" placeholder="Ex: +55 00 12345-6789" value="' . htmlspecialchars($row['celular_2']) . '">
                                </div>
                            </div>
                        </div>
                      </div>';
        $response .= '<div id="final" class="dados_pessoais">
                        <h1>Endereço</h1>
                        <div class="form">
                            <div class="divs">
                                <div class="campos" id="campo_cep">
                                    <label for="cep">CEP</label>
                                    <input type="text" name="cep" id="cep" placeholder="Ex: 01234-567" value="' . htmlspecialchars($row['cep']) . '">
                                </div>
                                <div class="campos" id="campo_rua_avenida">
                                    <label for="rua_avenida">Rua/Avenida</label>
                                    <input type="text" name="rua_avenida" id="rua_avenida" placeholder="Ex: Rua Dona Georgina de Albuquerque" value="' . htmlspecialchars($row['endereco']) . '">
                                </div>
                                <div class="campos" id="campo_numero">
                                    <label for="numero">Número</label>
                                    <input type="number" name="numero" id="numero" placeholder="Ex: 0001" value="' . htmlspecialchars($row['numero']) . '">
                                </div>
                            </div>
                            <div class="divs" id="quatro_campos">
                                <div class="campos" id="campo_complemento">
                                    <label for="complemento">Complemento</label>
                                    <input type="text" name="complemento" id="complemento" placeholder="Ex: Bloco X, 001" value="' . htmlspecialchars($row['complemento']) . '">
                                </div>
                                <div class="campos" id="campo_bairro">
                                    <label for="bairro">Bairro</label>
                                    <input type="text" name="bairro" id="bairro" placeholder="Ex: Goiabal" value="' . htmlspecialchars($row['bairro']) . '">
                                </div>
                                <div class="campos" id="campo_cidade">
                                    <label for="cidade">Cidade</label>
                                    <input type="text" name="cidade" id="cidade" placeholder="Ex: Macapá" value="' . htmlspecialchars($row['cidade']) . '">
                                </div>
                                <div class="campos" id="campo_estado">
                                    <label for="estado">Estado</label>
                                    <input list="estado_enum" id="estado" name="estado" placeholder="Selecione" value="' . htmlspecialchars($row['uf']) . '">
                                    <datalist id="estado_enum">
                                        <option value="estados"></option>
                                    </datalist>
                                </div>
                            </div>
                        </div>
                      </div>';
        $response .= '</div>';

        echo $response;
    }
}

?>